Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.kie.api.runtime.conf
Enum KeepReferenceOption

    java.lang.Object
      java.lang.Enum<KeepReferenceOption>
          org.kie.api.runtime.conf.KeepReferenceOption

All Implemented Interfaces:
  Serializable, Comparable<KeepReferenceOption>, Option, KieSessionOption, SingleValueKieSessionOption

    public enum KeepReferenceOption

extends Enum<KeepReferenceOption>
implements SingleValueKieSessionOption

Option to configure if the knowledge base should retain a reference to the knowledge session or not. The default is YES, i.e., the reference is retained.

Enum Constant Summary
`NO`
`YES`

Field Summary
`static String` | `PROPERTY_NAME` The property name for the keep reference configuration

Method Summary
`String` | `getPropertyName()` Returns the property name for this option
`boolean` | `isKeepReference()`
`static KeepReferenceOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static KeepReferenceOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### YES

    public static final KeepReferenceOption YES

### NO

    public static final KeepReferenceOption NO

Field Detail

### PROPERTY_NAME

    public static final String PROPERTY_NAME

  The property name for the keep reference configuration

  See Also:
    Constant Field Values

Method Detail

### values

    public static KeepReferenceOption[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (KeepReferenceOption c : KeepReferenceOption.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static KeepReferenceOption valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getPropertyName

    public String getPropertyName()

  Returns the property name for this option

  Specified by:
    `getPropertyName` in interface `Option`
  Returns:

### isKeepReference

    public boolean isKeepReference()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.